WorkCentre 5632/5638

WorkCentre 5632/5638 Support & Drivers

Effective May 2019, this product will require the use of a device manager application to connect for remote services. Read the Security Bulletin and visit the Remote Services support page for more information.

Supported Platforms: IBM AS/400, Linux, Mac OS X 10.5 or lower, Macintosh 9, Sun Solaris, UNIX, Windows 2000, Windows 7, Windows 7 x64, Windows Server 2003, Windows Server 2003 x64, Windows Server 2008, Windows Server 2008 x64, Windows Vista, Windows Vista x64, Windows XP, Windows XP x64

Supported Languages: Brazilian Portuguese, Czech, Danish, Dutch, English (Global), English (N. America), EspaƱol (CO), Finnish, French, French Canadian, German, Hungarian, Italian, Norwegian, Polish, Portuguese, Romanian, Russian, Spanish, Swedish, Turkish

File Download: Digital Copier Software version 20.120.52.000

System Software version 20.120.52.000. Upgrade from 20.120.39.000 or higher Digital Copier only. Requires Utilities version 25.00.003 or higher to install.

Note: Please ensure you read the install instructions for important upgrade information before attempting the upgrade.

Caution: Machines with firmware earlier than 20.120.32.000 must be upgraded to 20.120.32.000 prior to upgrading to 20.120.52.000. Firmware and instructions for performing both upgrades are included in the download.

End User License Agreement

Click "Accept" to download, click "Decline" to cancel.

AcceptDecline